Bug 144690 - sticky bit not set on /tmp and /var/tmp during kickstarts
sticky bit not set on /tmp and /var/tmp during kickstarts
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: filesystem (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-10 13:14 EST by John Jasen
Modified: 2014-03-16 22:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 15:41:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
install log (29.83 KB, text/plain)
2005-01-15 16:08 EST, John Jasen
no flags Details
kickstart config (7.58 KB, text/plain)
2005-01-15 16:19 EST, John Jasen
no flags Details
rpm -qp --scripts --triggers (12.05 KB, text/plain)
2005-01-17 12:37 EST, John Jasen
no flags Details

  None (edit)
Description John Jasen 2005-01-10 13:14:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041109 Firefox/1.0

Description of problem:
During kickstarts, the sticky bit is not set correctly on the tmp
directories. We do not know if this occurs during cd installs as well.



Version-Release number of selected component (if applicable):
filesystem-2.2.1-3

How reproducible:
Always

Steps to Reproduce:
1. install via kickstart
2.
3.
    

Actual Results:  ls -ld /tmp /var/tmp
argonaut> ls -ld /tmp /var/tmp
drwxrwxrwx   18 root     root         4096 Jan 10 13:05 /tmp/
drwxrwxrwx    3 root     root         4096 Jan  7 14:36 /var/tmp/

Expected Results:  argonaut> ls -ld /tmp /var/tmp
drwxrwxrwt   18 root     root         4096 Jan 10 13:05 /tmp/
drwxrwxrwt    3 root     root         4096 Jan  7 14:36 /var/tmp/

Additional info:
Comment 1 Bill Nottingham 2005-01-10 15:20:50 EST
Please attach the output of:

rpm -qf /tmp /var/tmp

Comment 2 John Jasen 2005-01-10 18:05:43 EST
argonaut> rpm -qf /tmp /var/tmp
filesystem-2.2.1-3
filesystem-2.2.1-3
Comment 3 Bill Nottingham 2005-01-10 19:11:56 EST
Does 'rpm -V /var/tmp' show the permissions being wrong?
Comment 4 John Jasen 2005-01-10 20:50:14 EST
rpm -V filesystem, or rpm -Vf /var/tmp, you mean?

Not currently, as we manually set the sticky bit on all our
workstations. We'll have a few new builds out this week, and will look
then.
Comment 5 John Jasen 2005-01-14 16:47:56 EST
this is off a fresh ks install:

walleye> ls -ld /tmp /var/tmp
drwxrwxrwx   30 root     root         4096 Jan 14 16:16 /tmp/
drwxrwxrwx    2 root     root         4096 Jan 14 12:19 /var/tmp/
walleye> rpm -V filesystem
.M......   /tmp
.M......   /var/tmp
walleye> rpm -Vf /tmp /var/tmp
.M......   /tmp
.M......   /var/tmp
.M......   /tmp
.M......   /var/tmp
walleye> rpm -V filesystem
.M......   /tmp
.M......   /var/tmp
Comment 6 Bill Nottingham 2005-01-14 18:02:08 EST
Can you attach your install.log?
Comment 7 Bill Nottingham 2005-01-14 18:05:35 EST
Also, are either of /tmp, /var, or /var/tmp separate partitions?
Comment 8 Bill Nottingham 2005-01-14 18:08:28 EST
Also also, is this a particular update release?
Comment 9 Bill Nottingham 2005-01-14 18:20:15 EST
Actually, attaching ks.cfg may also help. Sorry about the incremental
bug updates. :)
Comment 10 John Jasen 2005-01-15 16:08:36 EST
Created attachment 109826 [details]
install log

install log attached.
Comment 11 John Jasen 2005-01-15 16:19:57 EST
Created attachment 109827 [details]
kickstart config

kickstart config for rhel 3ws installs

we even try explicitly setting sticky bit.
Comment 12 John Jasen 2005-01-15 16:25:38 EST
taroon update 2, if I recall, then we go to update 4 after
installation and reboot.

Yes, /tmp and /var are on seperate partitions.

These are the permissions of the underlying mount point for /tmp. /var
is a little harder to unmount and ckeck remotely.

drwxr-xr-x    2 root     root         4096 Jan 14 17:47 /tmp

Did I miss any of the incremental bug update questions? :)

Comment 13 Bill Nottingham 2005-01-17 12:23:24 EST
Just to make sure; can you do:

rpm -qvlp j2re-1_4_2_03-linux-i586.rpm | grep /tmp
rpm -qp --scripts --triggers j2re-1_4_2_03-linux-i586.rpm

Comment 14 John Jasen 2005-01-17 12:37:00 EST
Created attachment 109870 [details]
rpm -qp --scripts --triggers

 rpm -qp --scripts --triggers
/var/www/html/ks/9.0/RedHat/RPMS/j2re-1_4_2_03-linux-i586.rpm >/tmp/rpm-output
Comment 15 John Jasen 2005-01-17 12:37:39 EST
rpm -qvlp j2re-1_4_2_03-linux-i586.rpm | grep tmp yielded no output
Comment 16 Bill Nottingham 2005-01-17 14:29:38 EST
OK, the post scripts are completely overengineered, too long, and
broken in places. But they shouldn't be messing the directory perms. Hm.
Comment 17 Bill Nottingham 2005-01-17 15:16:31 EST
OK, I've done a kickstart install of U2 with partitioning as in your
ks.cfg, and I can't reproduce the problem. Note that I don't have
a) some of your external packages
b) your %post

Comment 18 John Jasen 2005-01-17 15:35:57 EST
Just checked xv, wv, legato client, and a few others. they don't touch
/tmp either. From what I've been told, this is a long-standing bug
around here.

And yes, sun sure does know how to write overly complex scripts.

Comment 19 Bill Nottingham 2005-01-21 18:11:13 EST
If you just halt the installer without rebooting, does it have the
right permissions then? (I realize this may be tricky to do.)

Perhaps easier, if, on the first boot, you boot to single user mode -
is it correct there?

Since I can't reproduce it on a 'stock' install with similar
partitioning, I'm wondering if something in the startup sequence is
changing it.
Comment 20 John Jasen 2005-02-04 15:37:38 EST
Hmmmm ...

I did a little magic, built an installation tree off U4 and latest
updates, and that set the permissions correctly. I am not sure as to
whether it was our explicit chmod calls in ks.cfg, or if the package
installed correctly, but either way, they seem to be correct now.

Comment 21 Bill Nottingham 2005-02-04 15:41:39 EST
OK, closing as I could never reproduce it. Please reopen if it comes back.

Note You need to log in before you can comment on or make changes to this bug.